package com.engine.organization.transmethod;

import com.engine.organization.entity.DeleteParam;
import com.engine.organization.mapper.job.JobMapper;
import com.engine.organization.util.db.MapperProxyFactory;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/25
 * @version: 1.0
 */
public class JobTransMethod {

    public static String getSpanById(String planId) {
        JobMapper jobMapper = MapperProxyFactory.getProxy(JobMapper.class);
        List<Map<String, Object>> maps = jobMapper.listJobsByIds(DeleteParam.builder().ids(planId).build().getIds());
        String names = maps.stream().map(item -> (String) item.get("name")).collect(Collectors.joining(","));
        return names;
    }

    public static String getIsKeySpan(String isKey) {
        if ("1".equals(isKey)) {
            return "是";
        } else {
            return "否";
        }
    }

}
